Overview
Examples
Screenshots
Comparisons
Applications
Download
Documentation
Tutorials
Bazaar
Status & Roadmap
FAQ
Authors & License
Forums
Funding Ultimate++
Search on this site
Search in forums












SourceForge.net Logo
Home » U++ TheIDE » U++ TheIDE: Installation, Compiling and Running of theide » Linux Mint 14 Mate 64 bits compiling problem
Linux Mint 14 Mate 64 bits compiling problem [message #39579] Mon, 01 April 2013 17:29 Go to next message
koldo is currently offline  koldo
Messages: 3023
Registered: August 2008
Ultimate Member
Hello all

I have installed TheIDE using Honza's .deb Launchpad package without problems.

However, when compiling there are problems with include directories. I have solved some of them but I cannot solve this one maybe related with GTK version:

error: ‘GtkRange’ has no member named ‘has_stepper_a’


I have tried to play with "/usr/include/gtk-2.0" directory changing it to 3.0 but without success.


Best regards
IƱaki
Re: Linux Mint 14 Mate 64 bits compiling problem [message #39580 is a reply to message #39579] Mon, 01 April 2013 19:19 Go to previous messageGo to next message
dolik.rce is currently offline  dolik.rce
Messages: 1758
Registered: August 2008
Location: Czech Republic
Senior Contributor

Hi Koldo,

U++ unfortunately doesn't work with GTK3 yet. The error you see is a result of API changes between GTK2 and GTK3. If there is GTK2 available for Mint, it should work (provided you set the includes back to the GTK2 paths).

Best regards,
Honza
Re: Linux Mint 14 Mate 64 bits compiling problem [message #39583 is a reply to message #39580] Tue, 02 April 2013 09:11 Go to previous messageGo to next message
koldo is currently offline  koldo
Messages: 3023
Registered: August 2008
Ultimate Member
dolik.rce wrote on Mon, 01 April 2013 19:19

Hi Koldo,

U++ unfortunately doesn't work with GTK3 yet. The error you see is a result of API changes between GTK2 and GTK3. If there is GTK2 available for Mint, it should work (provided you set the includes back to the GTK2 paths).

Best regards,
Honza

Thank you Honza

In this case I will try on next days to uninstall libgtk3-dev and to install libgtk2-dev.


Best regards
IƱaki
Re: Linux Mint 14 Mate 64 bits compiling problem [message #39585 is a reply to message #39583] Tue, 02 April 2013 12:20 Go to previous messageGo to next message
dolik.rce is currently offline  dolik.rce
Messages: 1758
Registered: August 2008
Location: Czech Republic
Senior Contributor

koldo wrote on Tue, 02 April 2013 09:11

In this case I will try on next days to uninstall libgtk3-dev and to install libgtk2-dev.
I think there is no need to uninstall, they should be able to coexist Wink At least on Arch, I have both versions installed.

Honza
Re: Linux Mint 14 Mate 64 bits compiling problem [message #39592 is a reply to message #39585] Wed, 03 April 2013 00:05 Go to previous message
koldo is currently offline  koldo
Messages: 3023
Registered: August 2008
Ultimate Member
Hello Honza

Yes, you are right. It works know Smile.

I have had to add some folders:
- /usr/lib/x86_64-linux-gnu/glib-2.0/include
- /usr/lib/x86_64-linux-gnu/gtk-2.0/include

When an include is not found, this command is excellent. For example:

find /usr/include/ -name glib.h



Best regards
IƱaki
Previous Topic: [SOLVED] Scientific Linux installation problem
Next Topic: compiler output messy code, how to solve??
Goto Forum:
  


Current Time: Tue Nov 12 22:12:08 CET 2019

Total time taken to generate the page: 0.01999 seconds